Author: koen.aers(a)jboss.com
Date: 2011-10-04 06:53:42 -0400 (Tue, 04 Oct 2011)
New Revision: 35319
Added:
trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/
trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge
trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge.bat
Log:
add the forge startup scripts to svn
Added: trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge
===================================================================
--- trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge
(rev 0)
+++ trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge 2011-10-04 10:53:42 UTC
(rev 35319)
@@ -0,0 +1,163 @@
+#!/bin/sh
+
+# ----------------------------------------------------------------------------
+# Licensed under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+#
http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+
+# ----------------------------------------------------------------------
+# Forge Startup script
+#
+# Required Environment vars:
+# ------------------
+# JAVA_HOME - location of a JRE home directory
+#
+# Optional Environment Variables
+# ------------------
+# FORGE_HOME - location of Forge's installed home dir
+# FORGE_OPTS - parameters passed to the Java VM when running Forge
+# -----------------------------------------------------------------------
+
+QUOTED_ARGS=""
+while [ "$1" != "" ] ; do
+
+ QUOTED_ARGS="$QUOTED_ARGS \"$1\""
+ shift
+
+done
+
+if [ -f /etc/forgerc ] ; then
+ . /etc/forgerc
+fi
+
+if [ -f "$HOME/.forgerc" ] ; then
+ . "$HOME/.forgerc"
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ if [ -z "$JAVA_VERSION" ] ; then
+ JAVA_VERSION="CurrentJDK"
+ fi
+ if [ -z "$JAVA_HOME" ] ; then
+
JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$FORGE_HOME" ] ; then
+ ## resolve links - $0 may be a link to Forge's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ FORGE_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ FORGE_HOME=`cd "$FORGE_HOME" && pwd`
+
+ cd "$saveddir"
+ echo Using Forge at $FORGE_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$FORGE_HOME" ] &&
+ FORGE_HOME=`cygpath --unix "$FORGE_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$FORGE_HOME" ] &&
+ FORGE_HOME="`(cd "$FORGE_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly."
+ echo " We cannot execute $JAVACMD"
+ exit 1
+fi
+
+JAVAVER=`$JAVACMD -version 2>&1`
+case $JAVAVER in
+*1.[6-9]*) ;;
+*1.[1-5]*)
+ echo " Error: a Java 1.6 or higher JRE is required to run Forge; found [$JAVACMD
-version == $JAVAVER]."
+ exit 1
+ ;;
+esac
+
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+FORGE_MAIN_CLASS=org.jboss.forge.shell.Bootstrap
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$FORGE_HOME" ] &&
+ FORGE_HOME=`cygpath --path --windows "$FORGE_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$HOME" ] &&
+ HOME=`cygpath --path --windows "$HOME"`
+fi
+
+forge_exec_cmd="\"$JAVACMD\" $FORGE_OPTS
\"-Dforge.home=${FORGE_HOME}\" \"-Dforge.shell.colorEnabled=true\"
-jar \"${FORGE_HOME}/jboss-modules.jar\" -modulepath
\"${FORGE_HOME}/modules:${HOME}/.forge/plugins\" org.jboss.forge"
+
+eval $forge_exec_cmd "$QUOTED_ARGS"
Property changes on: trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge.bat
===================================================================
--- trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge.bat
(rev 0)
+++ trunk/forge/plugins/org.jboss.tools.forge.runtime/bin/forge.bat 2011-10-04 10:53:42
UTC (rev 35319)
@@ -0,0 +1,173 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM
http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Forge Startup script
+@REM
+@REM Required Environment vars:
+@REM ------------------
+@REM JAVA_HOME - location of a JRE home dir
+@REM
+@REM Optional Environment vars
+@REM ------------------
+@REM FORGE_HOME - location of Forge's installed home dir
+@REM FORGE_OPTS - parameters passed to the Java VM when running Forge
+@REM ----------------------------------------------------------------------------
+
+@echo off
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if exist "%HOME%\forgerc_pre.bat" call "%HOME%\forgerc_pre.bat"
+
+set ERROR_CODE=0
+
+@REM set local scope for the variables with windows NT shell
+if "%OS%"=="Windows_NT" @setlocal
+if "%OS%"=="WINNT" @setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo ERROR: JAVA_HOME not found in your environment.
+echo Please set the JAVA_HOME variable in your environment to match the
+echo location of your Java installation
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto chkFHome
+
+echo.
+echo ERROR: JAVA_HOME is set to an invalid directory.
+echo JAVA_HOME = "%JAVA_HOME%"
+echo Please set the JAVA_HOME variable in your environment to match the
+echo location of your Java installation
+echo.
+goto error
+
+:chkFHome
+if not "%FORGE_HOME%"=="" goto valFHome
+
+if "%OS%"=="Windows_NT" SET "FORGE_HOME=%~dp0.."
+if "%OS%"=="WINNT" SET "FORGE_HOME=%~dp0.."
+if not "%FORGE_HOME%"=="" goto valFHome
+
+echo.
+echo ERROR: FORGE_HOME not found in your environment.
+echo Please set the FORGE_HOME variable in your environment to match the
+echo location of the Forge installation
+echo.
+goto error
+
+:valFHome
+
+:stripFHome
+if not "_%FORGE_HOME:~-1%"=="_\" goto checkFBat
+set "FORGE_HOME=%FORGE_HOME:~0,-1%"
+goto stripFHome
+
+:checkFBat
+if exist "%FORGE_HOME%\bin\forge.bat" goto init
+
+echo.
+echo ERROR: FORGE_HOME is set to an invalid directory.
+echo FORGE_HOME = "%FORGE_HOME%"
+echo Please set the FORGE_HOME variable in your environment to match the
+echo location of the Forge installation
+echo.
+goto error
+@REM ==== END VALIDATION ====
+
+:init
+@REM Decide how to startup depending on the version of windows
+
+@REM -- Windows NT with Novell Login
+if "%OS%"=="WINNT" goto WinNTNovell
+
+@REM -- Win98ME
+if NOT "%OS%"=="Windows_NT" goto Win9xArg
+
+:WinNTNovell
+
+@REM -- 4NT shell
+if "%@eval[2+2]" == "4" goto 4NTArgs
+
+@REM -- Regular WinNT shell
+set FORGE_CMD_LINE_ARGS=%*
+goto endInit
+
+@REM The 4NT Shell from jp software
+:4NTArgs
+set FORGE_CMD_LINE_ARGS=%$
+goto endInit
+
+:Win9xArg
+@REM Slurp the command line arguments. This loop allows for an unlimited number
+@REM of agruments (up to the command line limit, anyway).
+set FORGE_CMD_LINE_ARGS=
+:Win9xApp
+if %1a==a goto endInit
+set FORGE_CMD_LINE_ARGS=%FORGE_CMD_LINE_ARGS% %1
+shift
+goto Win9xApp
+
+@REM Reaching here means variables are defined and arguments have been captured
+:endInit
+SET FORGE_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+@REM -- 4NT shell
+if "%@eval[2+2]" == "4" goto 4NTCWJars
+
+set JBOSS_MODULES="%FORGE_HOME%\jboss-modules.jar"
+goto runForge
+
+@REM Start Forge
+:runForge
+set FORGE_MAIN_CLASS=org.jboss.forge.shell.Bootstrap
+%FORGE_JAVA_EXE% %FORGE_OPTS% "-Dforge.home=%FORGE_HOME%"
-Dforge.shell.colorEnabled=true -jar %JBOSS_MODULES% -modulepath
"%FORGE_HOME%\modules;%HOME%\.forge\plugins" org.jboss.forge
%FORGE_CMD_LINE_ARGS%
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+if "%OS%"=="Windows_NT" @endlocal
+if "%OS%"=="WINNT" @endlocal
+set ERROR_CODE=1
+
+:end
+@REM set local scope for the variables with windows NT shell
+if "%OS%"=="Windows_NT" goto endNT
+if "%OS%"=="WINNT" goto endNT
+
+@REM For old DOS remove the set variables from ENV - we assume they were not set
+@REM before we started - at least we don't leave any baggage around
+set FORGE_JAVA_EXE=
+set FORGE_CMD_LINE_ARGS=
+goto postExec
+
+:endNT
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+:postExec
+if exist "%HOME%\forgerc_post.bat" call "%HOME%\forgerc_post.bat"
+
+if "%FORGE_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+cmd /C exit /B %ERROR_CODE%
+
+